Table of Contents

Class: GUITestResult | Twisted-0.17.4/pyunit/unittestgui.py
--- | ---

A TestResult that makes callbacks to its associated GUI TestRunner. Used by BaseGUITestRunner. Need not be created directly.

Base Classes |
--- | ---
unittest.TestResult

Methods |
--- | ---
__init__ addError addFailure startTest stopTest
| __init__

    __init__ ( self,  callback )

| addError

    addError (
            self,
            test,
            err,
            )

| addFailure

    addFailure (
            self,
            test,
            err,
            )

| startTest

    startTest ( self,  test )

| stopTest

    stopTest ( self,  test )

Table of Contents

This document was automatically generated on Sat Apr 20 01:30:45 2002 by HappyDoc version 2.0